@import "./abstracts/mixins";
@import "../fonts/fonts";
@import "./base/reset";
@import "./abstracts/variables";

.our-team{
  padding: 0 20px;
  border-bottom: 1px solid $second-shade-black;

  @media (min-width: $bp-md) {
    padding: 0 30px;
  }
  @media (min-width: $bp-lg) {
    padding: 50px 70px;
  }
  & h2{
    margin-top: 30px;

    @media (min-width: $bp-lg) {
      margin-top: 20px;
    }
  }
}
.our-team__carts{

  @media (min-width: $bp-md) {
    @include grid(2,0,40px)
  }
  @media (min-width: $bp-lg) {
    @include grid(4,2,40px);
  }

   & article{
     padding: 20px 0;

     @media (min-width: $bp-md) {
       padding: 30px 0;
     }
   }
}
.our-team__name{
  color: $second-shade-black;
  text-align: center;
  font-family: 'Gilroy',sans-serif;
  font-size: 19px;
  font-style: normal;
  font-weight: 800;
  line-height: normal;
  text-transform: uppercase;
  margin-bottom: 5px;

  @media (min-width: $bp-md) {
    text-align: start;
  }
}
.our-team__position{
  color: $second-shade-black;
  text-align: center;
  font-family: 'Gilroy-Medium',sans-serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

  @media (min-width: $bp-md) {
    text-align: start;
  }
}
.our-team__img{
  width: 100%;
  height: 507px;
  object-fit: cover;
  margin: 15px 0;

  @media (min-width: $bp-lg) {
   max-width: 415px;
  }
}
.our-team__contacts{
  @include flex(row);
  gap: 10px;

  @media (min-width: $bp-md) {
    justify-content: end;
  }

}
.our-team__join{
  margin-top: 30px;
  margin-bottom: 50px;

  @media (min-width: $bp-md) {
    grid-column: 1/3;
  }
  @media (min-width: $bp-lg) {
    grid-column: 3/5;
    grid-row:2/3;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  & h5{
    color: $second-shade-black;
    text-align: center;
    font-family: 'Gilroy-Regular',sans-serif;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 15px;

    @media (min-width: $bp-md) {
      text-align: start;
    }
  }
  & p{
    color: $second-shade-black;
    text-align: center;
    font-family: 'Gilroy-Bold',sans-serif;
    font-size: 40px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 15px;

    @media (min-width: $bp-md) {
      text-align: start;
      font-size: 60px;
    }
    @media (min-width: $bp-md) {
      text-align: start;
      font-size: 40px;
    }
  }
}
.our-team__button {
  width: 100%;
  text-align: center;

  @media (min-width: $bp-md) {
    width: auto;
  }
  @media (min-width: $bp-lg) {
    width: 164px;
  }
}